controller:
  # Will add custom configuration options to Nginx https://kubernetes.github.io/ingress-nginx/user-guide/nginx-configuration/configmap/
  config:
    worker-shutdown-timeout: "24hs"
    allow-backend-server-header: "true"
    hide-headers: "X-Powered-By"
    proxy-body-size: "100m"
    use-forwarded-headers: "true"
    forwarded-for-header: "CF-Connecting-IP"

  # Will add custom headers before sending traffic to backends according to https://github.com/kubernetes/ingress-nginx/tree/master/docs/examples/customization/custom-headers
  proxySetHeaders: {}
    # X-Using-Nginx-Controller: "true"

  # Will add custom headers before sending response traffic to the client according to: https://kubernetes.github.io/ingress-nginx/user-guide/nginx-configuration/configmap/#add-headers
  addHeaders:
    Content-Security-Policy: "frame-ancestors none"
    X-Frame-Options: "deny"
    X-Using-Nginx-Controller: "true"
    X-XSS-Protection: "1; mode=block"
    Strict-Transport-Security: "max-age=31536000; includeSubDomains"
    X-Content-Type-Options: "nosniff"
    Referrer-Policy: "no-referrer"
    X-Download-Options: "noopen"
    X-DNS-Prefetch-Control: "off"
    Feature-Policy: "camera 'none'; microphone 'none'; geolocation 'none';encrypted-media 'none'; payment 'none'; speaker 'none'; usb 'none';"

  resources:
   requests:
     cpu: 100m
     memory: 128Mi
  #  limits:
  #    cpu: 100m
  #    memory: 64Mi
  autoscaling:
    enabled: true
    minReplicas: 2
    maxReplicas: 10
    targetCPUUtilizationPercentage: 80
    targetMemoryUtilizationPercentage: 90

  metrics:
    enabled: true
    service:
      annotations:
        prometheus.io/scrape: "true"
        prometheus.io/port: "10254"
